package com.zhentao.groups.im;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum CommandType {
//  建立连接
    CONNECTION(10001),
//    私聊
    CHAT(10002),
//  加入群聊
    JSON_GROUP(10003),
    ERROR(-1);
    private Integer code;

    public static CommandType match(Integer code) {
        for (CommandType value : CommandType.values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return ERROR;
    }
}
