package com.zhentao.user.service;

import com.zhentao.user.domain.UserLogin;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.user.dto.*;
import com.zhentao.vo.Result;

/**
* @author 86183
* @description 针对表【user_login(用户)】的数据库操作Service
* @createDate 2025-06-03 18:38:51
*/
public interface UserLoginService extends IService<UserLogin> {
    //注册
    Result register(UserRegister userRegister);
    //验证码
    Result note(NoteDto noteDto);

    //手机号登录
    Result login(UserLoginDto userLoginDto);

    //账号密码登录
    Result UserPassLogin(UserPassDto userPassDto);
    //    忘记密码
    Result ForgetPass(ForgetPassDto forgetPassDto);


    //根据id查询用户的信息
    UserLogin getUserById(Long id);


}
