package com.zhentao.exception;

import com.zhentao.enums.BaseExceptionEnum;
import lombok.Data;

@Data
public class AsynException extends RuntimeException{
    private Integer code;
    private String msg;
    public AsynException(BaseExceptionEnum baseExceptionEnum){
        super(baseExceptionEnum.getMsg());
        this.code = baseExceptionEnum.getCode();
        this.msg = baseExceptionEnum.getMsg();
    }
}
