//package com.zhentao.information.handler;
//
//import io.netty.channel.ChannelHandler;
//import io.netty.channel.ChannelHandlerContext;
//import io.netty.channel.ChannelInboundHandlerAdapter;
//import io.netty.handler.timeout.IdleState;
//import io.netty.handler.timeout.IdleStateEvent;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.stereotype.Component;
//
///**
// * 心跳处理器
// * 处理客户端的心跳检测
// */
//@Slf4j
//@Component
//@ChannelHandler.Sharable
//public class HeartbeatHandler extends ChannelInboundHandlerAdapter {
//
//    /**
//     * 处理用户事件
//     * 当触发IdleStateEvent时调用
//     * @param ctx Channel上下文
//     * @param evt 事件对象
//     */
//    @Override
//    public void userEventTriggered(ChannelHandlerContext ctx, Object evt) throws Exception {
//        if (evt instanceof IdleStateEvent) {
//            IdleStateEvent event = (IdleStateEvent) evt;
//
//            // 如果是读空闲事件
//            if (event.state() == IdleState.READER_IDLE) {
//                log.info("读空闲，关闭连接：{}", ctx.channel().id().asLongText());
//                ctx.close();
//            }
//        } else {
//            super.userEventTriggered(ctx, evt);
//        }
//    }
//}